/registrations/{id}/financial-transactions

POST registrations (with the specified identifier) - financial-transactions

Path Parameters
  • id
    Type: string
    required
Body·
required
application/json
  • financial_transaction
    Type: object ·
Responses
  • application/json
  • application/json
Request Example for post/registrations/{id}/financial-transactions
curl 'https://api.bedrijvencheck.nl/24/registrations/{id}/financial-transactions' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "financial_transaction": {
    "id": "",
    "status": "",
    "amount": 1,
    "description": "",
    "payment_method": "",
    "status_history": [
      {
        "status": "",
        "timestamp": ""
      }
    ],
    "attachments": [
      {
        "filename": "",
        "_": "",
        "id": "",
        "original_filename": "",
        "url": ""
      }
    ]
  }
}'
{
  "financial_transaction": {
    "id": "string",
    "status": "string",
    "amount": 1,
    "description": "string",
    "payment_method": "string",
    "status_history": [
      {
        "status": "string",
        "timestamp": "string"
      }
    ],
    "attachments": [
      {
        "filename": "string",
        "_": "string",
        "id": "string",
        "original_filename": "string",
        "url": "string"
      }
    ]
  }
}